[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH 1/2] configure should check for gtk-doc and gobject-introspection



Fixes a handful of errors such as this one:
    gtk-doc.make:7: error: GTK_DOC_USE_LIBTOOL does not appear in AM_CONDITIONAL
---
 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/configure.ac b/configure.ac
index 00c2d7e..8a34620 100644
--- a/configure.ac
+++ b/configure.ac
@@ -74,6 +74,8 @@ AC_CONFIG_LIBOBJ_DIR([libvirt-sandbox])
 
 LIBVIRT_SANDBOX_COMPILE_WARNINGS
 
+PKG_CHECK_MODULES(GTKDOC, gtk-doc >= 1.24)
+PKG_CHECK_MODULES(GOBJECT_INTROSPECTION, gobject-introspection-1.0 >= 1.46.0)
 PKG_CHECK_MODULES(GIO_UNIX, gio-unix-2.0 >= $GIO_UNIX_REQUIRED)
 PKG_CHECK_MODULES(GOBJECT, gobject-2.0 >= $GOBJECT_REQUIRED)
 PKG_CHECK_MODULES(LIBVIRT, libvirt >= $LIBVIRT_REQUIRED)
-- 
2.5.5


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]